/*
 * HttpSessionBindingEvent.java -- Passed on to a HttpSessionBindingListener
 *                                 whenever it is bound or unbound from a
 *                                 HttpSession value
 *
 * Copyright (c) 1998, 1999 by Free Software Foundation, Inc.
 * Written by Paul Siegmann (pauls@euronet.nl)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published
 * by the Free Software Foundation, version 2. (see COPYING.LIB)
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
 */

package javax.servlet.http;

import java.util.EventObject;

public class HttpSessionBindingEvent
	extends EventObject 
{
	private String myName;

	public HttpSessionBindingEvent(HttpSession session, String name) {
		super(session);
		myName = name;
	}


	public String getName() {
		return myName;
	}


	public HttpSession getSession() {
		return (HttpSession)getSource();
	}
}
